@import "../colours";

.sdm-day {
  white-space: nowrap;
  overflow-x: scroll;

  .sdm-column {
    display: inline-block;
    vertical-align: top;
    width: 5em;

    .sdm-week-name {
      @import "../themes/error";
    }

    .sdm-errors {
      background-color: $sdm-color-header-error;
      color: $sdm-color-text-error;
      cursor: pointer;
    }
  }

  .sdm-day-scale {
    display: inline-block;
    vertical-align: top;
    width: 2em;
  }

  .sdm-entries {
    display: inline-block;
    vertical-align: top;

    @import "entry";
  }

  margin-bottom: 4em;
}
